<?php

namespace Schaffen\Gef\Models;

use Illuminate\Database\Eloquent\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class ApontamentoVeiculoGasto.
 *
 * @package namespace Schaffen\Gef\Models;
 */
class ApontamentoVeiculoGastoMvf extends Model implements Transformable
{
   use TransformableTrait;

   public $timestamps = false;
   protected $table = "frota.apontamento_veiculo_gasto_mvf";
   protected $primaryKey = "avgm_codigo";
   public static $prefix = 'avgm_';

   /**
    * The attributes that are mass assignable.
    *
    * @var array
    */
   protected $fillable = ["avgm_fk_avg_codigo","avgm_fk_mvf_codigo"];

}
