<?php

namespace Schaffen\Gef\Transformers;

use League\Fractal\TransformerAbstract;
use Schaffen\Gef\Models\CategoriaGasto;

/**
 * Class CategoriaGastoTransformer.
 *
 * @package namespace Schaffen\Gef\Transformers;
 */
class CategoriaGastoTransformer extends TransformerAbstract
{
    /**
     * Transform the CategoriaGasto entity.
     *
     * @param \Schaffen\Gef\Models\CategoriaGasto $model
     *
     * @return array
     */
    public function transform(CategoriaGasto $model)
    {
        return [
            'codigo'         => (int) $model->cag_codigo,
            'tipo'           => CategoriaGasto::$tipos[$model->cag_tipo],
            'descricao'      => $model->cag_descricao,

            /* place your other model properties here */

        ];
    }
}
